# class Gem::StreamUI::SilentDownloadReporter

An absolutely silent download reporter.

### Public Class Methods

new (out_stream, *args)
Source

    # File lib/rubygems/user_interaction.rb, line 514
    def initialize(out_stream, *args)
    end

The silent download reporter ignores all arguments

### Public Instance Methods

done ()
Source

    # File lib/rubygems/user_interaction.rb, line 534
    def done
    end

The silent download reporter won’t tell you when the download is done. Because it is silent.

fetch (filename, filesize)
Source

    # File lib/rubygems/user_interaction.rb, line 521
    def fetch(filename, filesize)
    end

The silent download reporter does not display `filename` or care about `filesize` because it is silent.

update (current)
Source

    # File lib/rubygems/user_interaction.rb, line 527
    def update(current)
    end

Nothing can update the silent download reporter.